


varying vec3 normal;
uniform float Trans, Ypos;
	void main()
	{	


normal = normalize(gl_Normal);					

		   		gl_TexCoord[0] = gl_MultiTexCoord0;
	
		
vec4 v = vec4(gl_Vertex);		
float Value=(v.y-Ypos)*0.005;

float Trans2 =Trans+v.x*2.0 + v.y + v.z;
v.x += sin(Trans2)*Value;
v.y += cos(Trans2)*Value;
v.z += sin(Trans2*3.0)*Value;
		
gl_Position = gl_ModelViewProjectionMatrix * v;
	} 